Bug 1297929 - Enable Docker SELinux enforcing mode with Overlayfs
Summary: Enable Docker SELinux enforcing mode with Overlayfs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: beta
: ---
Assignee: Miklos Szeredi
QA Contact: Murphy Zhou
Marek Suchánek
URL:
Whiteboard: aos-scalability-34
Keywords:
: 1178944 (view as bug list)
Depends On: 1178944
Blocks: 1203710 1298243 1313485 1154205 1295567 1295577 1385242 1411772
TreeView+ depends on / blocked
 
Reported: 2016-01-12 19:24 UTC by Subhendu Ghosh
Modified: 2017-09-07 11:32 UTC (History)
21 users (show)

(edit)
SELinux security labels are now supported on the OverlayFS file system

With this update, the OverlayFS file system now supports SELinux security labels. When using Docker containers with the OverlayFS storage driver, you no longer have to configure Docker to disable SELinux support for the containers.
Clone Of:
(edit)
Last Closed: 2017-08-01 20:05:02 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1842 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-08-01 18:22:09 UTC

Description Subhendu Ghosh 2016-01-12 19:24:07 UTC
The RHEL 7.2 recommend configuration is disable SELinux for the Docker daemon. Need to remove this restriction for Docker.

Comment 1 Mike McGrath 2016-01-14 13:47:34 UTC
I know we have customers looking to use overlayfs and having to disable SELinux makes for a bad security story for us.

Comment 6 Tom Coughlan 2016-02-18 19:51:26 UTC
*** Bug 1178944 has been marked as a duplicate of this bug. ***

Comment 7 Miklos Szeredi 2016-06-30 18:18:14 UTC
This won't make it to 7.3 as patches are not ready yet.

However things are progressing nicely and the feature should be ready for upstream kernel 4.8 or 4.9.

Comment 14 Rafael Aquini 2016-11-01 00:29:55 UTC
Patch(es) committed on kernel repository and an interim kernel build is undergoing testing

Comment 16 Rafael Aquini 2016-11-01 14:37:39 UTC
Patch(es) available on kernel-3.10.0-517.el7

Comment 45 errata-xmlrpc 2017-08-01 20:05:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1842

Comment 46 errata-xmlrpc 2017-08-02 00:33:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1842


Note You need to log in before you can comment on or make changes to this bug.